Skip to content

List Connectors

GET
/api/v1/connectors/
curl --request GET \
--url 'https://example.com/api/v1/connectors/?skip=0&limit=100'

List all connectors with summary metadata.

status_filter
Any of:
string

Filter by status

skip
Skip
integer
0
limit
Limit
integer
default: 100 >= 1 <= 1000
X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
ConnectorListResponse

Response for listing connectors.

object
connectors
required
Connectors
Array<object>
ConnectorResponse

Response for a connector.

object
id
required
Id
string
name
required
Name
string
target_type
required
Target Type
string
target_config
required
Target Config
object
key
additional properties
any
execution_mode
required
Execution Mode
string
schedule_cron
Any of:
string
table_update_config
Any of:
object
key
additional properties
any
file_arrival_config
Any of:
object
key
additional properties
any
compute_type
required
Compute Type
string
cluster_config
Any of:
object
key
additional properties
any
status
required
Status
string
git_commit_id
Any of:
string
git_branch
Any of:
string
workflow_id
Any of:
string
artifacts_path
Any of:
string
error_message
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
created_by
required
Created By
string
updated_by
Any of:
string
datasets
Any of:
Array<object>
ConnectorDatasetResponse

Response for a connector dataset.

object
id
required
Id
string
connector_id
required
Connector Id
string
source_dataset
required
Source Dataset
string
target_name
required
Target Name
string
change_detection
required
Change Detection
string
write_strategy
required
Write Strategy
string
current_watermark
Any of:
string
current_watermark_time
Any of:
string format: date-time
primary_keys
Any of:
Array<string>
custom_config
Any of:
object
key
additional properties
any
created_at
required
Created At
string format: date-time
created_by
required
Created By
string
total
required
Total
integer
Examplegenerated
{
"connectors": [
{
"id": "example",
"name": "example",
"target_type": "example",
"target_config": {},
"execution_mode": "example",
"schedule_cron": "example",
"table_update_config": {},
"file_arrival_config": {},
"compute_type": "example",
"cluster_config": {},
"status": "example",
"git_commit_id": "example",
"git_branch": "example",
"workflow_id": "example",
"artifacts_path": "example",
"error_message": "example",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z",
"created_by": "example",
"updated_by": "example",
"datasets": [
{
"id": "example",
"connector_id": "example",
"source_dataset": "example",
"target_name": "example",
"change_detection": "example",
"write_strategy": "example",
"current_watermark": "example",
"current_watermark_time": "2026-04-15T12:00:00Z",
"primary_keys": [
"example"
],
"custom_config": {},
"created_at": "2026-04-15T12:00:00Z",
"created_by": "example"
}
]
}
],
"total": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}